# keySet

abstract fun keySet(): Provider<Set<K>>

Returns a Provider that returns the set of keys for the map that is the property value.

The returned provider tracks changes to this property and resolves its value dynamically when queried. It also inherits the task dependencies of all entries in the map, if any.

This method is equivalent to

        map(m -> m.keySet())

Content copied to clipboard
but possibly more efficient.

#### Return

a Provider that provides the set of keys for the map